/* 
--------------------------
- 1.1 Default CSS
--------------------------
*/

/*google font*/

@import url('https://fonts.googleapis.com/css?family=Lato:300,400,700,900|Poppins:100,300,400,500,600,700,800,900');
/* Your default CSS. */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

*, *:before, *:after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

*:focus {
    outline: 0;
}

html {
    -webkit-font-smoothing: antialiased;
}

body {
    background: #fff;
    font-weight: normal;
    -webkit-font-smoothing: antialiased;
    /* Fix for webkit rendering */
    -webkit-text-size-adjust: 100%;
}

img {
    max-width: 100%;
    height: auto;
}


.search-input:focus {
    border-bottom : 1px solid blue;
}

.search-input {
    border : 0;
    border-bottom : 1px solid grey;
}

/*custome css*/

/*--------------------------
   Padding top
---------------------------*/

.pt--0 {
    padding-top: 0
}

.pt--10 {
    padding-top: 10px
}

.pt--15 {
    padding-top: 15px
}

.pt--20 {
    padding-top: 20px
}

.pt--30 {
    padding-top: 30px
}

.pt--40 {
    padding-top: 40px
}

.pt--50 {
    padding-top: 50px
}

.pt--60 {
    padding-top: 60px
}

.pt--70 {
    padding-top: 70px
}

.pt--80 {
    padding-top: 80px
}

.pt--90 {
    padding-top: 90px
}

.pt--100 {
    padding-top: 100px
}

.pt--110 {
    padding-top: 110px
}

.pt--120 {
    padding-top: 120px
}

.pt--130 {
    padding-top: 130px
}

.pt--140 {
    padding-top: 140px
}

.pt--150 {
    padding-top: 150px
}

.pt--160 {
    padding-top: 160px
}

.pt--170 {
    padding-top: 170px
}

.pt--180 {
    padding-top: 180px
}

.pt--190 {
    padding-top: 190px
}

/*------------------------
   Padding bottom
---------------------------*/

.pb--0 {
    padding-bottom: 0
}

.pb--10 {
    padding-bottom: 10px
}

.pb--15 {
    padding-bottom: 15px
}

.pb--20 {
    padding-bottom: 20px
}

.pb--30 {
    padding-bottom: 30px
}

.pb--40 {
    padding-bottom: 40px
}

.pb--50 {
    padding-bottom: 50px
}

.pb--60 {
    padding-bottom: 60px
}

.pb--70 {
    padding-bottom: 70px
}

.pb--80 {
    padding-bottom: 80px
}

.pb--90 {
    padding-bottom: 90px
}

.pb--100 {
    padding-bottom: 100px
}

.pb--110 {
    padding-bottom: 110px
}

.pb--120 {
    padding-bottom: 120px
}

.pb--130 {
    padding-bottom: 130px
}

.pb--140 {
    padding-bottom: 140px
}

.pb--150 {
    padding-bottom: 150px
}

.pb--160 {
    padding-bottom: 160px
}

.pb--170 {
    padding-bottom: 170px
}

.pb--180 {
    padding-bottom: 180px
}

.pb--190 {
    padding-bottom: 190px
}

/*------------------------------
   Page section padding 
-------------------------------*/

.ptb--0 {
    padding: 0
}

.ptb--10 {
    padding: 10px 0
}

.ptb--20 {
    padding: 20px 0
}

.ptb--30 {
    padding: 30px 0
}

.ptb--40 {
    padding: 40px 0
}

.ptb--50 {
    padding: 50px 0
}

.ptb--60 {
    padding: 60px 0
}

.ptb--70 {
    padding: 70px 0
}

.ptb--80 {
    padding: 80px 0
}

.ptb--90 {
    padding: 90px 0
}

.ptb--100 {
    padding: 100px 0
}

.ptb--110 {
    padding: 110px 0
}

.ptb--120 {
    padding: 120px 0
}

.ptb--130 {
    padding: 130px 0
}

.ptb--140 {
    padding: 140px 0
}

.ptb--150 {
    padding: 150px 0
}

.ptb--160 {
    padding: 160px 0
}

.ptb--170 {
    padding: 170px 0
}

.ptb--180 {
    padding: 180px 0
}

/*------------------------------
   Page section padding left
-------------------------------*/

.pl--0 {
    padding-left: 0px;
}

.pl--10 {
    padding-left: 10px;
}

.pl--20 {
    padding-left: 20px;
}

.pl--30 {
    padding-left: 30px;
}

.pl--40 {
    padding-left: 40px;
}

.pl--50 {
    padding-left: 50px;
}

.pl--60 {
    padding-left: 60px;
}

.pl--70 {
    padding-left: 70px;
}

.pl--80 {
    padding-left: 80px;
}

.pl--90 {
    padding-left: 90px;
}

.pl--100 {
    padding-left: 100px;
}

.pl--110 {
    padding-left: 110px;
}

/*------------------------------
   Page section padding right
-------------------------------*/

.pr--0 {
    padding-right: 0px;
}

.pr--10 {
    padding-right: 10px;
}

.pr--20 {
    padding-right: 20px;
}

.pr--30 {
    padding-right: 30px;
}

.pr--40 {
    padding-right: 40px;
}

.pr--50 {
    padding-right: 50px;
}

.pr--60 {
    padding-right: 60px;
}

.pr--70 {
    padding-right: 70px;
}

.pr--80 {
    padding-right: 80px;
}

.pr--90 {
    padding-right: 90px;
}

.pr--100 {
    padding-right: 100px;
}

.pr--110 {
    padding-right: 110px;
}

/* Colors */

:root {
    --primary-color: #4336FB;
}

#preloader {
    position: fixed;
    left: 0;
    top: 0;
    z-index: 99999;
    height: 100%;
    width: 100%;
    background: #fff;
    display: grid;
}

#pagepreloader {
	position: relative;
	z-index: 99999;
	background: #fff;
	display: flex;
	background: cornsilk;
	min-height: 400px;
}

.loader{
    margin: auto;
    height: 50px;
    width: 50px;
    border-radius: 50%;
    position: relative;
}
.loader:before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background: #000;
    border-radius: 50%;
    opacity: 0;
    animation: popin 1.5s linear infinite 0s;
}
.loader:after{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background: #000;
    border-radius: 50%;
    opacity: 0;
    animation: popin 1.5s linear infinite 0.5s;
}
.hidden {
	display:none;
}

@keyframes popin{
    0%{
        opacity: 0;
        transform: scale(0);
    }
    1%{
        opacity: 0.1;
        transform: scale(0);
    }
    99%{
        opacity: 0;
        transform: scale(2);
    }
    100%{
        opacity: 0;
        transform: scale(0);
    }
}

  .checkbox-wrapper-4 * {
    box-sizing: border-box;
  }
  .checkbox-wrapper-4 .cbx {
    -webkit-user-select: none;
    user-select: none;
    cursor: pointer;
    padding: 6px 8px;
    border-radius: 6px;
    overflow: hidden;
    transition: all 0.2s ease;
    display: inline-block;
  }
  .checkbox-wrapper-4 .cbx:not(:last-child) {
    margin-right: 6px;
  }
  .checkbox-wrapper-4 .cbx:hover {
    background: rgba(0,119,255,0.06);
  }
  .checkbox-wrapper-4 .cbx span {
    float: left;
    vertical-align: middle;
    transform: translate3d(0, 0, 0);
  }
  .checkbox-wrapper-4 .cbx span:first-child {
    position: relative;
    width: 18px;
    height: 18px;
    border-radius: 4px;
    transform: scale(1);
    border: 1px solid #cccfdb;
    transition: all 0.2s ease;
    box-shadow: 0 1px 1px rgba(0,16,75,0.05);
  }
  .checkbox-wrapper-4 .cbx span:first-child svg {
    position: absolute;
    top: 3px;
    left: 2px;
    fill: none;
    stroke: #fff;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-dasharray: 16px;
    stroke-dashoffset: 16px;
    transition: all 0.3s ease;
    transition-delay: 0.1s;
    transform: translate3d(0, 0, 0);
  }
  .checkbox-wrapper-4 .cbx span:last-child {
    padding-left: 8px;
    line-height: 18px;
  }
  .checkbox-wrapper-4 .cbx:hover span:first-child {
    border-color: #07f;
  }
  .checkbox-wrapper-4 .inp-cbx {
    position: absolute;
    visibility: hidden;
  }
  .checkbox-wrapper-4 .inp-cbx:checked + .cbx span:first-child {
    background: #07f;
    border-color: #07f;
    animation: wave-4 0.4s ease;
  }
  .checkbox-wrapper-4 .inp-cbx:checked + .cbx span:first-child svg {
    stroke-dashoffset: 0;
  }
  .checkbox-wrapper-4 .inline-svg {
    position: absolute;
    width: 0;
    height: 0;
    pointer-events: none;
    user-select: none;
  }
  @media screen and (max-width: 640px) {
    .checkbox-wrapper-4 .cbx {
      width: 100%;
      display: inline-block;
    }
  }
  @-moz-keyframes wave-4 {
    50% {
      transform: scale(0.9);
    }
  }
  @-webkit-keyframes wave-4 {
    50% {
      transform: scale(0.9);
    }
  }
  @-o-keyframes wave-4 {
    50% {
      transform: scale(0.9);
    }
  }
  @keyframes wave-4 {
    50% {
      transform: scale(0.9);
    }
  }

.grey {
	background-color: rgba(128,128,128,.25);
}
.filters td:hover {
	background-color: blue;
}
.filters {
	transition: background-color 1s ease;
	background-color: cornsilk;
}

.card {
	box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;
}

.process {
	height: 30px;
	top: 10px;
	position: absolute;
	padding: 4px;
	margin-left : 12px;
}
  .checkbox-wrapper-55 input[type="checkbox"] {
    visibility: hidden;
    display: none;
  }

  .checkbox-wrapper-55 *,
  .checkbox-wrapper-55 ::after,
  .checkbox-wrapper-55 ::before {
    box-sizing: border-box;
  }

  .checkbox-wrapper-55 .rocker {
    display: inline-block;
    position: relative;
    /*
    SIZE OF SWITCH
    ==============
    All sizes are in em - therefore
    changing the font-size here
    will change the size of the switch.
    See .rocker-small below as example.
    */
    font-size: 2em;
    font-weight: bold;
    text-align: center;
    text-transform: uppercase;
    color: #888;
    width: 7em;
    height: 4em;
    overflow: hidden;
    border-bottom: 0.5em solid #eee;
  }

  .checkbox-wrapper-55 .rocker-small {
    font-size: 0.75em;
  }

  .checkbox-wrapper-55 .rocker::before {
    content: "";
    position: absolute;
    top: 0.5em;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #999;
    border: 0.5em solid #eee;
    border-bottom: 0;
  }

  .checkbox-wrapper-55 .switch-left,
  .checkbox-wrapper-55 .switch-right {
    cursor: pointer;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 2.5em;
    width: 3em;
    transition: 0.2s;
    user-select: none;
  }

  .checkbox-wrapper-55 .switch-left {
    height: 2.4em;
    width: 2.75em;
    left: 0.85em;
    bottom: 0.4em;
    background-color: #ddd;
    transform: rotate(15deg) skewX(15deg);
  }

  .checkbox-wrapper-55 .switch-right {
    right: 0.5em;
    bottom: 0;
    background-color: #bd5757;
    color: #fff;
  }

  .checkbox-wrapper-55 .switch-left::before,
  .checkbox-wrapper-55 .switch-right::before {
    content: "";
    position: absolute;
    width: 0.4em;
    height: 2.45em;
    bottom: -0.45em;
    background-color: #ccc;
    transform: skewY(-65deg);
  }

  .checkbox-wrapper-55 .switch-left::before {
    left: -0.4em;
  }

  .checkbox-wrapper-55 .switch-right::before {
    right: -0.375em;
    background-color: transparent;
    transform: skewY(65deg);
  }

  .checkbox-wrapper-55 input:checked + .switch-left {
    background-color: #0084d0;
    color: #fff;
    bottom: 0px;
    left: 0.5em;
    height: 2.5em;
    width: 3em;
    transform: rotate(0deg) skewX(0deg);
  }

  .checkbox-wrapper-55 input:checked + .switch-left::before {
    background-color: transparent;
    width: 3.0833em;
  }

  .checkbox-wrapper-55 input:checked + .switch-left + .switch-right {
    background-color: #ddd;
    color: #888;
    bottom: 0.4em;
    right: 0.8em;
    height: 2.4em;
    width: 2.75em;
    transform: rotate(-15deg) skewX(-15deg);
  }

  .checkbox-wrapper-55 input:checked + .switch-left + .switch-right::before {
    background-color: #ccc;
  }

  /* Keyboard Users */
  .checkbox-wrapper-55 input:focus + .switch-left {
    color: #333;
  }

  .checkbox-wrapper-55 input:checked:focus + .switch-left {
    color: #fff;
  }

  .checkbox-wrapper-55 input:focus + .switch-left + .switch-right {
    color: #fff;
  }

  .checkbox-wrapper-55 input:checked:focus + .switch-left + .switch-right {
    color: #333;
  }


/* style user display */
.d-in {
	display : inline;	
}

.d-flex {
	display : flex;	
}

.d-flex-rev {
	display : flex;	
	flex-direction: row-reverse;
}


/* for Radio -------------- */
.radio-section {
	display: flex;
}

.radio-item [type="radio"] {
	display: none;
}
.radio-item + .radio-item {
	margin-top: 15px;
}
.radio-item label {
	display: block;
	padding: 10px 60px;
	cursor: pointer;
	color: grey;
	white-space: nowrap;
	position: relative;
	transition: 0.4s ease-in-out 0s;
}
.radio-item label:after,
.radio-item label:before {
	content: "";
	position: absolute;
	border-radius: 50%;
	top: calc(50% - 10px);	
}
.radio-item label:after {
	height: 20px;
	width: 20px;
	/*border: 2px solid #524eee;*/
	border: 2px solid #c5c4ec;
	left: 20px;
	/*top: calc(50% - 11px)*/;
}

.radio-item label:before {
	background: #524eee;
	height: 20px;
	width: 20px;
	left: 20px;
	/*top: calc(50%-6px);*/
	transform: scale(5);
	opacity: 0;
	visibility: hidden;
	transition: 0.4s ease-in-out 0s;
}
.radio-item [type="radio"]:checked ~ label {
	border-color: #524eee;
	color: black;	
}

.radio-item [type="radio"]:checked ~ label::before {
	opacity: 1;
	visibility: visible;
	transform: scale(1);
}


/* MyAlert -------------- class background ----------------*/
.backForm { animation: salahklik 1s; }

.backForm .modal-content {
	border: 3px solid red;
}

@keyframes salahklik {
	0% {
		transform: scale(1);
	}

	50% {
		transform: scale( 1.05 );
	}

	100% {
		transform: scale(1);
	}
}

.anehpisan {
	color: red;
}